Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.print
Class LargePageable.TranslatedPrintable

public final class LargePageable.TranslatedPrintable
implements Printable

This inner class's sole responsibility is to translate the coordinate system before invoking a canvas's painter. The coordinate system is translated in order to get the desired portion of a canvas to line up with the top of a page.

Constructor Summary
`LargePageable.TranslatedPrintable(Printable painter, Point2D origin)` Create a new Printable that will translate the drawing done by painter on to the imageable area of a page.

Method Summary
`int` | `print(Graphics graphics, PageFormat pageFormat, int pageIndex)` Prints the page at the specified index into the specified Graphics context in the specified format.

Constructor Detail

### LargePageable.TranslatedPrintable

    public LargePageable.TranslatedPrintable(Printable painter, Point2D origin)

  Create a new Printable that will translate the drawing done by painter on to the imageable area of a page.
  Parameters:
    painter - The object responsible for drawing the canvas
    origin - The point in the canvas that will be mapped to the upper-left corner of the page's imageable area.

Method Detail

### print

    public int print(Graphics graphics, PageFormat pageFormat, int pageIndex)
               throws java.awt.print.PrinterException

  Prints the page at the specified index into the specified Graphics context in the specified format. A PrinterJob calls the Printableinterface to request that a page be rendered into the context specified by graphics. The format of the page to be drawn is specified by pageFormat. The zero based index of the requested page is specified by pageIndex. If the requested page does not exist then this method returns NO_SUCH_PAGE; otherwise PAGE_EXISTS is returned. The Graphics class or subclass implements the PrinterGraphics interface to provide additional information. If the Printable object aborts the print job then it throws a PrinterException.
  Parameters:
    graphics - the context into which the page is drawn
    pageFormat - the size and orientation of the page being drawn
    pageIndex - the zero based index of the page to be drawn
  Returns: PAGE_EXISTS if the page is rendered successfully or NO_SUCH_PAGE if pageIndex specifies a non-existent page.
  Throws:
    java.awt.print.PrinterException thrown - when the print job is terminated.

Association Links

to Class java.awt.print.Printable

  The object that will draw the canvas.

to Class java.awt.geom.Point2D

  The upper-left corner of the part of the canvas that will be displayed on this page. This corner is lined up with the upper-left of the imageable area of the page.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM